//-----------------------------------------------------------------------------------
/*-----------------------------------------------------------------------------------
 * settings.js
 * 2003/11/24
 * イベントを親アプリケーションに送るためのイベント群。
 * 新しいボタンを追加する場合はこのイベントを使ってください。
 * all rights reserved (c) copyright 2003 Kentaro Ishitoya
-----------------------------------------------------------------------------------*/
//-----------------------------------------------------------------------------------
//クリックイベント、引数はイベントの起こったX、Y座標
//-----------------------------------------------------------------------------------
function send_click(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=click&arg1=" + window.event.clientX + "&arg2=" + window.event.clientY;
}
//-----------------------------------------------------------------------------------
//マウスダウンイベント、引数はイベントの起こったX、Y座標
//-----------------------------------------------------------------------------------
function send_mousedown(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=mousedown&arg1=" + window.event.clientX + "&arg2=" + window.event.clientY;
}
//-----------------------------------------------------------------------------------
//マウスアップイベント、引数はイベントの起こったX、Y座標
//-----------------------------------------------------------------------------------
function send_mouseup(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=mouseup&arg1=" + window.event.clientX + "&arg2=" + window.event.clientY;
}
//-----------------------------------------------------------------------------------
//終了イベント、引数なし
//-----------------------------------------------------------------------------------
function send_close(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=close&arg1=0&arg2=0";
}
//-----------------------------------------------------------------------------------
//リフレッシュイベント、引数なし
//-----------------------------------------------------------------------------------
function send_refresh(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=refresh&arg1=0&arg2=0";
}
//-----------------------------------------------------------------------------------
//表示切替イベント、引数なし
//-----------------------------------------------------------------------------------
function send_change(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=uhe&arg1=0&arg2=0";
}
//-----------------------------------------------------------------------------------
//ポップアップメニュー表示、引数はイベントの起こったX、Y座標
//-----------------------------------------------------------------------------------
function send_openmenu(){
	var image = new Image();
	image.src = "http://localhost:" + port + "/event?type=openmenu&arg1=" + window.event.clientX + "&arg2=" + window.event.clientY;
}
//-----------------------------------------------------------------------------------