//-----------------------------------------------------------------------------------
/*-----------------------------------------------------------------------------------
 * general.js
 * 2003/11/24
 * all rights reserved (c) copyright 2003 Kentaro Ishitoya
-----------------------------------------------------------------------------------*/
//-----------------------------------------------------------------------------------
//種々の設定を読み出す
//-----------------------------------------------------------------------------------
function loadData(){
	//XMLの読み出し
	var xml = new ActiveXObject("Microsoft.XMLDOM");
	xml.async = false;
	xml.load(xmlsrc);
	//XSLの読み出し
	var xsl = new ActiveXObject("Microsoft.XMLDOM");
	xsl.async = false;
	xsl.load(xslsrc);
	css.href = csssrc;

	//ホストとローカルホストのポートを設定
	var root = xml.documentElement;
	var node = xml.createElement("datahost");
	node.text = datahost;
	root.appendChild(node);
	node = xml.createElement("port");
	node.text = port;
	root.appendChild(node);
	
	//XSL適用してcontentsに読み込む
	contents.innerHTML = xml.transformNode(xsl.documentElement);
}
//-----------------------------------------------------------------------------------
//スクロール関数を呼び出す
//-----------------------------------------------------------------------------------
function scrollData(){
	setContentsMargin();
	if(contents.offsetWidth > (document.body.offsetWidth - (leftmenu.offsetWidth + rightmenu.offsetWidth))){
		timerID = setTimeout("scroll()", scrollspeed);
	}else if(timerID){
		clearTimeout(timerID);
	}
}
//-----------------------------------------------------------------------------------
//データのマージンを設定
//-----------------------------------------------------------------------------------
function setContentsMargin()
{
	var margin = (document.body.offsetWidth - (leftmenu.offsetWidth + rightmenu.offsetWidth)) - document.all.contents.offsetWidth;
	if(margin > 0){
		contents.style.pixelLeft = leftmenu.offsetWidth + margin / 2;
	}
}
//-----------------------------------------------------------------------------------
//スクロール関数
//-----------------------------------------------------------------------------------
function scroll()
{
	if(dir == 1){
		if(contents.style.pixelLeft > leftmenu.offsetWidth + 20){
			dir = 2;
		}else{
			contents.style.pixelLeft = contents.style.pixelLeft + scrollx;
		}
	}else if(dir == 0){
		if(contents.style.pixelLeft < -(contents.offsetWidth - (document.body.offsetWidth - (leftmenu.offsetWidth + rightmenu.offsetWidth))) - 20){
			dir = 3;
		}else{
			contents.style.pixelLeft = contents.style.pixelLeft - scrollx;
		}
	}
	if(dir == 2){
		timerID = setTimeout("scroll()", scrollspeed * 5);
		dir = 0;
	}else if(dir == 3){
		timerID = setTimeout("scroll()", scrollspeed * 5);
		dir = 1;
	}else{
		timerID = setTimeout("scroll()", scrollspeed);
	}
}
//-----------------------------------------------------------------------------------
