<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="//latestSong">
		<HTML>
			<HEAD>
				<META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<TITLE>J-WAVE Latest Song</TITLE>
			</HEAD>
			<BODY>
				<SPAN id="time"><xsl:value-of select="@time"/></SPAN>
				<xsl:choose>
					<xsl:when test="artist/@id=''">
						<SPAN id="artist">
							<A>
								<xsl:attribute name="href">
									http://localhost/song/Artist.php?mode=submit&amp;artist=<xsl:value-of select="artist"/>&amp;title=<xsl:value-of select="title"/>
								</xsl:attribute>
								<xsl:value-of select="artist"/>
							</A>
						</SPAN>
						<SPAN id="title">
							<xsl:value-of select="title"/>
						</SPAN>
					</xsl:when>
					<xsl:otherwise>
						<SPAN id="artist">
							<A>
								<xsl:attribute name="href">
									http://localhost/song/artist/<xsl:value-of select="artist/@id"/>.xml
								</xsl:attribute>
								<xsl:value-of select="artist"/>
							</A>
						</SPAN>
						<SPAN id="title">
							<A>
								<xsl:attribute name="href">
									http://localhost/song/title/<xsl:value-of select="artist/@id"/>.xml
								</xsl:attribute>
								<xsl:value-of select="title"/>
							</A>
						</SPAN>
					</xsl:otherwise>
				</xsl:choose>
			</BODY>
		</HTML>
	</xsl:template>
</xsl:stylesheet>